Bug 983651 - SELinux is preventing /usr/bin/gnome-keyring-daemon from 'rmdir' accesses on the directory keyring-71AEWk.
SELinux is preventing /usr/bin/gnome-keyring-daemon from 'rmdir' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:63ddcc395a6c48a9ff0298e7dd1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 11:49 EDT by Peter Ludikovsky
Modified: 2013-07-20 05:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-65.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ludikovsky 2013-07-11 11:49:21 EDT
Description of problem:
User Password was changed on the commandline through root
Changed it again as the user (again on the command line) while in XFCE
SELinux is preventing /usr/bin/gnome-keyring-daemon from 'rmdir' accesses on the directory keyring-71AEWk.

*****  Plugin catchall (100. confidence) suggests  ***************************

If sie denken, dass es gnome-keyring-daemon standardmässig erlaubt sein sollte, rmdir Zugriff auf keyring-71AEWk directory zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep gnome-keyring-d /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:cache_home_t:s0
Target Objects                keyring-71AEWk [ dir ]
Source                        gnome-keyring-d
Source Path                   /usr/bin/gnome-keyring-daemon
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           gnome-keyring-3.8.2-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-11 17:46:44 CEST
Last Seen                     2013-07-11 17:46:44 CEST
Local ID                      ddea8322-846e-4619-9ca7-cffab7e4cece

Raw Audit Messages
type=AVC msg=audit(1373557604.143:738): avc:  denied  { rmdir } for  pid=9519 comm="gnome-keyring-d" name="keyring-71AEWk" dev="dm-2" ino=1835142 scontext=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:cache_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1373557604.143:738): arch=x86_64 syscall=rmdir success=yes exit=0 a0=1faf3c0 a1=0 a2=36fdfb9788 a3=1 items=0 ppid=1 pid=9519 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=gnome-keyring-d exe=/usr/bin/gnome-keyring-daemon subj=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-keyring-d,passwd_t,cache_home_t,dir,rmdir

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 977265
Comment 1 Miroslav Grepl 2013-07-12 09:29:00 EDT
commit be22fc5445ac2af778274f02c7e3a965aeaddfb9
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Jul 12 15:28:07 2013 +0200

    Allow gnome-keyring-d running as passwd_t to manage gnome cache home dirs
Comment 2 Fedora Update System 2013-07-17 07:53:31 EDT
selinux-policy-3.12.1-65.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-65.fc19
Comment 3 Fedora Update System 2013-07-18 02:01:59 EDT
Package selinux-policy-3.12.1-65.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-65.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13172/selinux-policy-3.12.1-65.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-20 05:33:39 EDT
selinux-policy-3.12.1-65.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.